package cn.cecep.talroad.mapper.effective;

import cn.cecep.talroad.domain.dto.ReachabilityDto;
import cn.cecep.talroad.domain.effective.QEnvgasWqYear;
import cn.cecep.talroad.vo.effective.AirParmaVo;
import cn.cecep.talroad.vo.effective.AirQualityData;
import cn.cecep.talroad.vo.effective.QEnvgasAreaTargetVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 区域年数据表 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2022-07-13
 */
public interface QEnvgasWqYearMapper extends BaseMapper<QEnvgasWqYear> {
    /**
     * 查询区域年数据
     * 以站点为主表，即使年无数据，也返回站点信息
     * @param airParmaVo
     * @return
     */
    List<AirQualityData> queryAreaYearData(AirParmaVo airParmaVo);

    /**
     * 查询区域年数据
     * 以年数据表为主表，无数据则返回空
     * @param airParmaVo
     * @return
     */
    List<AirQualityData> queryAreaYearDataNew(AirParmaVo airParmaVo);


    QEnvgasAreaTargetVo findReachabilityAnalysis(ReachabilityDto reachabilityDto);


    BigDecimal findPeriodLastYear(ReachabilityDto reachabilityDto);

    Map findStandardMonitoringLastYear(@Param("userRegionCode") String userRegionCode,@Param("type") String type);

    BigDecimal findPrevention(ReachabilityDto reachabilityDto);

    Map findAutumnWinter(ReachabilityDto reachabilityDto);

    List<Map> findStandardDivisorLastYear(@Param("userRegionCode") String userRegionCode,@Param("type") String type);

}
